! Note: nagfor requires switch -f2003 to avoid warnings, g95/gfortran ok without
module catcorr_mod
use types
use errorHandling
use param
use catcorr_minor	! defined in catprep
use catcorr_aux
implicit none
! Requires command-line argument srclistset=filename for name of input OBSMLI file
! It also requires a second parameter catset=catextract which
!   specifies the name of a catalogue extract file produced by catprep task.
!
integer :: minGood
! integer :: status, nfiles, mingood
real :: minFit, maxOffset
! real :: t1, t2, minfit, maxoffset
character(1024) :: inOutFile, catextract	! Size defined in /param/src/param.f90
! character :: datafile*200, infile*200, catextract*200, stime*10, etime*10
!
contains
!------------------------------------------------------------------------------
subroutine catcorr
implicit none
integer :: status	! , nfiles, mingood
! real    :: t1, minfit, maxOffset
! character :: stime*10, etime*10, infile*100, catextract*100
status = 0
! nfiles = 0
inOutFile = stringParameter('srclistset')
catextract = stringParameter('catset')
minGood   = intParameter('mingood')
minFit    = realParameter('minfit')
maxOffset = realParameter('maxoffset')
!
call catcorr_top(inOutFile, catextract, mingood, minfit, maxoffset, status)
!
end subroutine catcorr

end module catcorr_mod
